# REST API

The Rekor Scout® API can be used to search for license plate data programmatically from any Scout web server (both cloud and self-hosted). Using this API you can search for plate groups, individual reads, and alerts. You can also retrieve the plate images directly from the agent. The endpoints for the Rekor Scout API are described below.

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/search/plate" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/search/platecandidate" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/search/alert" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/detail/platecandidate/{group\_id}" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/agents/" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/cameras/" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/alert-lists/" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/api/users/" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/img/{agent\_uid}/{image\_uuid}" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}

{% openapi src="/files/qpXKRLHZ6Z3d65AcplOm" path="/img/{image\_uuid}.jpg" method="get" %}
[scout.yaml](https://1741267365-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6Vw5WlNC3SZYgYghV1xw%2Fuploads%2FXBtkAvX6Tm8v5PIovSRQ%2Fscout.yaml?alt=media\&token=d2bb2d3e-15a4-481b-8b9f-6426b52cb218)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rekor.ai/scout/web-server/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
